call spQuery_Lista_Gasto(2,'%','%');

DROP PROCEDURE IF EXISTS spQuery_Lista_Gasto;
CREATE PROCEDURE spQuery_Lista_Gasto(	
	varCodigo varchar(19),
  varNombre varchar(80),
  varAbrev    varchar(20)
)
BEGIN 
 if varCodigo = '' or varCodigo IS NULL then
   	select id_gasto, nombre, abrev, monto
    from _sv_gasto 
    where _estado = 'A' and estado = 'A'
    and ifnull(nombre,'') like concat('%', varNombre, '%')
    and ifnull(abrev,'') like concat('%', varAbrev, '%');
 else
    select id_gasto, nombre, abrev, monto
    from _sv_gasto  
    where _estado = 'A' and estado = 'A'
    and id_gasto = varCodigo;
 end if;  
END;